<?php

include dirname(__FILE__) . '/../../../../lib/AbstractXmlVoicemailApp.php';

abstract class AbstractTiptel32xxXmlVoicemailApp extends AbstractXmlVoicemailApp
{

    protected function setAttributes()
    {
        $this->vmTyp = @$_REQUEST["vmTyp"];
        $this->vmID = @$_REQUEST["vmID"];
        $this->dialVm = @$_REQUEST["dialVm"];
        $this->deleteRequest = @$_REQUEST["delete"];
        $this->deleteVm = @$_REQUEST["deleteVm"];
        $this->offset = (int) @$_REQUEST["offset"];
        $this->page = (int) @$_REQUEST["page"];
        $this->exit = @$_REQUEST["exit"];
    }

    protected function getDeleteVoicemailURI()
    {
        return $this->getVoicemailDetailURI() . "&delete=true";
    }
}
